Skip to content
Start here

Update zone-level Waiting Room settings

waiting_rooms.settings.update(SettingUpdateParams**kwargs) -> SettingUpdateResponse
PUT/zones/{zone_id}/waiting_rooms/settings

Update zone-level Waiting Room settings

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Waiting Rooms Write
ParametersExpand Collapse
zone_id: str

Identifier.

maxLength32
search_engine_crawler_bypass: Optional[bool]

Whether to allow verified search engine crawlers to bypass all waiting rooms on this zone. Verified search engine crawlers will not be tracked or counted by the waiting room system, and will not appear in waiting room analytics.

ReturnsExpand Collapse
class SettingUpdateResponse:
search_engine_crawler_bypass: bool

Whether to allow verified search engine crawlers to bypass all waiting rooms on this zone. Verified search engine crawlers will not be tracked or counted by the waiting room system, and will not appear in waiting room analytics.

Update zone-level Waiting Room settings

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
setting = client.waiting_rooms.settings.update(
    zone_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(setting.search_engine_crawler_bypass)
{
  "result": {
    "search_engine_crawler_bypass": true
  }
}
Returns Examples
{
  "result": {
    "search_engine_crawler_bypass": true
  }
}